// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
// Z O M B I E   T O R R E N T   2
// CORE WEAPON LIST
// -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

#include "ZT2WeaponListCore.h"

// Shared between C and S
void RegisterZT2Weapons(int isServer)
{
	// Clientsided version should not execute in singleplayer
	if (!isServer && !IsClient())
		return;
		
	//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	// TEST PISTOL (ORDER PISTOL)
	//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	
	RegisterWeapon("TestPistol", "My Test Pistol", 500, "BLAHBLAH");
	RegisterWeaponAmmo("TestPrimary", 10, "TestSecondary", 100);
	RegisterWeaponUndroppable(true);
	RegisterWeaponDefaultFireMode(FM_SEMI);
	
	//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	// TYPE-97 GRENADE
	//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	
	RegisterWeapon("Type97Grenade", "Type-97 Grenade", 500, "BLAHBLAH");
	RegisterWeaponAmmo("Type97Primary", 5, "Type97Primary", 5);
	RegisterWeaponUndroppable(true);
	RegisterWeaponDefaultFireMode(FM_GRENADE);
	
	//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	
	RegisterWeapon("Shotgun", "Shotgun", 300, "BLAHBLAH");
	RegisterWeaponAmmo("TestPrimary", 10, "TestSecondary", 100);
	
	RegisterWeapon("SuperShotgun", "Super Shotgun", 300, "BLAHBLAH");
	RegisterWeaponAmmo("TestPrimary", 10, "TestSecondary", 100);
	
	RegisterWeapon("Chaingun", "Chaingun", 200, "BLAHBLAH");
	RegisterWeaponAmmo("TestPrimary", 10, "TestSecondary", 100);
}